#!/bin/sh

CFLAGS="-O3 -s -flto -Wall -Wextra -Werror -DNDEBUG"
[ -z "$RELEASE" ] && CFLAGS="-O0 -g3 -Wall -Wextra -Werror";
CC=cc
if [ $(which musl-gcc 2> /dev/null) ]; then
    CC="musl-gcc"
    CFLAGS+=" -static"
fi
$CC src/main.c src/program.c src/alloc.c src/buffer.c src/fileutils.c src/transmission.c src/rss.c src/html.c src/rss_html_common.c src/download.c src/stringutils.c src/episode.c src/track_remove_parser.c depends/cJSON.c -o automedia $CFLAGS
