#ifndef RSS_H
#define RSS_H

typedef struct cJSON cJSON;
struct TransmissionSession;

typedef struct {
    char *title;
    char *link;
    cJSON *json_data;
} TrackedRss;

/* Modifies @rss_config_dir */
int add_rss(const char *name, char *url, char *rss_config_dir, const char *start_after);
int sync_rss(TrackedRss *tracked_rss, struct TransmissionSession *transmission_session, char *rss_config_dir);

#endif
